Subject: RE: [rfc2461bis] Clarify the use of the M and O flags

From: "Soliman Hesham" <[email-masked]>
Date: Mon, 14 Jun 2004 23:43:48 -0400

ok thanks, I'll put this text in 4.2.

Hesham

 > -----Original Message-----
 > From: [email-masked] 
 > [mailto:[email-masked]]
 > Sent: Monday, June 14, 2004 11:39 PM
 > To: Soliman Hesham
 > Cc: [email-masked]
 > Subject: Re: [rfc2461bis] Clarify the use of the M and O flags
 > 
 > 
 > >>>>> On Mon, 14 Jun 2004 06:05:42 -0400, 
 > >>>>> "Soliman Hesham" <[email-masked]> said:
 > 
 > > As far as 2461bis is concerned it is stated in the 
 > > current draft that setting the M flag implies that
 > > DHCPv6 is used for address config. If the O flag
 > > is set, the draft refers to DHCPv6 for other config
 > > parameters. RFC 3315 is also referenced. 
 > 
 > > Please see section 4.2, definition of the M and O
 > > flags. If there are no further comments I'll close
 > > this issue.
 > 
 > Assuming we've reached a consensus in a similar issue for 2462bis (at
 > least several people explicitly agreed on the proposal in this list
 > and I've not seen any objections) and the consensus applies 
 > to 2461bis
 > too, I think the text could be revised a bit more.
 > 
 > Roughly speaking, the "consensus" is:
 > 
 > - clearly specify the protocols for the flags: RFC3315 for M and
 >   RFC3736 for O
 > - clarify (change) the meaning of the M/O flags; they are just hints
 >   of availability of the corresponding services, not triggers for
 >   invoking the protocols under a certain level of requirement
 > - leave the actual usage of the M/O flags will be used to a separate
 >   document.  rfc2462bis mentions the other document
 > 
 > (see the following URL for more details
 > http://www1.ietf.org/mail-archive/web/ipv6/current/msg02616.html)
 > 
 > According to the above and to be more aligned with the forthcoming
 > rfc2462bis, I'd revise the definitions of M/O flags like this:
 > 
 >       M              1-bit "Managed address configuration" 
 > flag.  When
 >                      set, it indicates Dynamic Host Configuration
 >                      Protocol [DHCPv6] is avialable for address
 >                      autoconfiguration in addition to any addresses
 >                      autoconfigured using stateless address
 >                      autoconfiguration.  More details of this flag is
 >                      described in [ADDRCONF].
 > 
 >       O              1-bit "Other stateful configuration" flag.  When
 >                      set, it indicates a subset of DHCPv6 
 > [RFC3736] is
 >                      available for autoconfiguration of other
 >                      (non-address) information. Examples of such
 >                      information are DNS-related information or
 >                      information on other servers within the
 >                      network. More details of this flag is described
 >                      in [ADDRCONF].
 > 
 > 					JINMEI, Tatuya
 > 					Communication Platform Lab.
 > 					Corporate R&D Center, 
 > Toshiba Corp.
 > 					[email-masked]
 > 

===========================================================
This email may contain confidential and privileged material for the sole use
 of the intended recipient.  Any review or distribution by others is strictly
 prohibited.  If you are not the intended recipient please contact the sender
 and delete all copies.
===========================================================

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------